%define fversion 0.96ex
%define dversion 0.96ex2

Summary:   A GUI program for burning CDs
Name:      xcdroast
Version:   %{fversion}
Release:   9mdk
Serial:    5
URL:       http://www.xcdroast.org
Source0:   http://www.fh-muenchen.de/rz/xcdroast/src/%{name}-%{dversion}.tar.bz2
Source1:   ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/cdrecord-1.8.1.tar.bz2
Patch0:    xcdroast-0.96e-make.patch.bz2
Patch1:    xcdroast-CFLAGS.patch.bz2
Patch2:    xcdroast-cdrecord.patch.bz2
Copyright: GPL
Group:     Archiving/Cd burning
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq:    fileutils, cdrecord
BuildPreReq: tcl, tk, tix

%description
Frontend for CD mastering programs.

Features:
     Self-explanitory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs and some non-ISO9660-CDs
     Production of new ISO9660 data CDs ("mastering") 
     Production of new audio CDs 
     Fast copying of CDs without hardisk buffering 
     Logfile option 

%prep
%setup -q -n %{name}-%{fversion} -a 1

%patch0 -p1 -b .make
%patch1 -p1 -b .cflags
%patch2 -p1 -b .mkisofs

%build
mv -f cdrecord-1.8.1 src/utils
./configure --prefixdir /usr | tee configure.output
cat - <<-EOF
    If the following line says: Bad exit status
    then you must read the docs and try to compile manually.
    Otherwise, the build should succeed.
EOF
grep "System-check OK" configure.output
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT	
make PREFIX=$RPM_BUILD_ROOT/usr install INSTALL_PROGRAM="install -s"

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/xcdroast <<EOF
?package(xcdroast): command="/usr/bin/xcdroast" needs="X11" \
icon="cd.xpm" section="Applications/Archiving/Cd burning" title="XCDRoast" \
longtitle="XCDRoast"
EOF
     
%post 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
grep -q cdwriter /etc/group || groupadd cdwriter

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MAKEDEVICES.sh
%doc README.ATAPI README.cdparanoia README.html README.nonroot
%attr(2750,root,cdwriter) /usr/bin/xcdroast
%attr(-,root,man) /usr/man/man1/xcdroast.*
/usr/lib/xcdroast-%{fversion}
%attr(644,root,root) /usr/lib/menu/xcdroast

%changelog
* Tue May 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.96ex-9mdk
- added serial.

* Tue May 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.96ex-8mdk
- fixed percentage bar during cdwriting.

* Mon May 08 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- added new menu.
- added cdrecord 1.8.1 sources instead of cdrecord 1.8.1 links.
- rebuild cdrecord patches.
- added patch for having mkisofs working with the progress bar.
- fixed some .tcl script to avoid -a argument for mkisofs
  (now on by default).

* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- Fix group.
- add menu.

* Tue Dec 07 1999 Camille Begnis <camille@mandrakesoft.com>
- Added %prep section

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- backed out sgid replaced sgid, what a stupid stupid program
  there is absolutely no reason it needs root on a mandrake system


* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- xcdroast sgid not suid 

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove cdrecord and mkisofs from xcdroast - we use an external cdrecord.
  (xcdroast still comes with 1.6.1)
- remove creation of cdwriter group and device creation - this is now
  done in cdrecord.
- Prerequire cdrecord
- fix release number

* Sun Dec 13 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- fix handling of RPM_OPT_FLAGS
- bzip2 man pages

* Sun Nov 29 1998 Arne Coucheron <arneco@online.no>
  [0.96e-1]

* Tue Jun 30 1998 Arne Coucheron <arneco@online.no>
  [0.96d-1]
- using %%{name} and %%{version} macros
- using %post to create the devices
- using %defattr macro in filelist
- added -q parameter to %setup
- added striping of the utilities

* Tue Jun 23 1998 Peter Soos <sp@osb.hu>
- Using cdwriter group for cdwriters.

* Fri May  1 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Very small changes in spec file

* Mon Mar 09 1998 Arne Coucheron <arneco@online.no>
- updated to 0.96d_beta4-1

* Thu Mar 05 1998 Arne Coucheron <arneco@online.no>
- updated to 0.96d_beta3-1
- using buildroot
